﻿#pragma strict

var currentIndex:int; //where we are right now. 
var firstIndex:int; //first possible hash index.
var lastIndex:int; //last possible hash index.
//hash variables (sets of related data).
var sceneNameHash:Hashtable; //text scene names

function Start () {
	firstIndex = 1;
	currentIndex = firstIndex;
	sceneNameHash = new Hashtable(); 
	
	sceneNameHash.Add(1, "1lunarPhase");
	sceneNameHash.Add(2, "2theCalendar");
	sceneNameHash.Add(3, "3dragAndDrop");
	sceneNameHash.Add(4, "4calculatingPhase");
	sceneNameHash.Add(5, "5effectOfParallax");
	sceneNameHash.Add(6, "6misconceptions");
	sceneNameHash.Add(7, "7creativeCommonsDeed");
	
	lastIndex = sceneNameHash.Count;
	gotoAndStop(currentIndex);	
}

function Update () {

}

// Make the navigation panel that is a parent to this script, with all children (including this script)
// persist no matter what gets loaded.  
function Awake () {
	DontDestroyOnLoad(this.transform.parent);
}

function gotoAndStop(newHash:int) {
	//find the specified scene name
	var newScene:String = sceneNameHash[newHash];
	//load the scene
	Application.LoadLevel(newScene);
	//update the current index.
	currentIndex = newHash;	
}

function nextFrame() {
	if(currentIndex < lastIndex) {
		gotoAndStop(currentIndex+1);
	}
}

function prevFrame() {

}